# $Revision: 1.6 $, $Date: 2007/05/03 22:28:15 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SPF
Summary:	Mail::SPF - Mail Sender Authentication
Summary(pl.UTF-8):	Mail::SPF - uwierzytelnianie wysyłającego pocztę
Name:		perl-Mail-SPF
Version:	2.004
Release:	1
# "same as perl"
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0923798432e0f25dffc4bc6428abef6a
URL:		http://search.cpan.org/dist/Mail-SPF/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-DNS >= 0.58
BuildRequires:	perl-NetAddr-IP
BuildRequires:	perl-version
BuildRequires:	perl-Net-DNS-Resolver-Programmable
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an initial draft object oriented reimplementation of
Mail::SPF::Query. It is not yet fully tested, and does not yet contain
all of the additional features expected of a practical SPF
implementation.

%description -l pl.UTF-8
To jest początkowa zorientowana obiektowo reimplementacja
Mail::SPF::Query. Nie jest jeszcze w pełni przetestowana i nie zawiera
jeszcze wszystkich dodatkowych możliwości oczekiwanych od praktycznej
implementacji SPF.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spfquery
%attr(755,root,root) %{_sbindir}/spfd
%{perl_vendorlib}/Mail/SPF.pm
%dir %{perl_vendorlib}/Mail/SPF
%{perl_vendorlib}/Mail/SPF/*.pm
%dir %{perl_vendorlib}/Mail/SPF/Mech
%{perl_vendorlib}/Mail/SPF/Mech/*.pm
%{perl_vendorlib}/Mail/SPF/Mod
%{perl_vendorlib}/Mail/SPF/v1
%{perl_vendorlib}/Mail/SPF/v2
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-SPF.spec,v $
Revision 1.6  2007/05/03 22:28:15  adamg
- release 1

Revision 1.5  2007/05/03 15:23:51  adamg
- updated to 2.004

Revision 1.4  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.2  2006/08/20 08:48:09  qboosh
- pl, cleanup

Revision 1.1  2006/07/27 21:31:21  agaran
- initial, version 2.0, rel 0.1, builds here,
